WP6HyperlinkPacket Class Reference

`#include <WP6HyperlinkPacket.h>`

Inheritance diagram for WP6HyperlinkPacket:

## Public Member Functions

| WP6HyperlinkPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
const librevenge::RVNGString & | getTarget () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *) const
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes

librevenge::RVNGString | m_target

## Additional Inherited Members

Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP6HyperlinkPacket()

WP6HyperlinkPacket::WP6HyperlinkPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

## Member Function Documentation

## _readContents()

void WP6HyperlinkPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP6PrefixDataPacket.

## getTarget()

const librevenge::RVNGString & WP6HyperlinkPacket::getTarget | ( |  | ) | const

## Member Data Documentation

## m_target

librevenge::RVNGString WP6HyperlinkPacket::m_target

private

Referenced by _readContents(), getTarget(), and WP6HyperlinkPacket().

The documentation for this class was generated from the following files:

- WP6HyperlinkPacket.h
- WP6HyperlinkPacket.cpp